Aller au contenu

Détail d'un EDL (pièce opposable, verifyIntegrity NF203)

GET
/v1/inspections/{id}
curl --request GET \
--url https://example.com/v1/inspections/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'X-API-Key: <X-API-Key>'
id
required
string format: uuid

Détail EDL avec intégrité vérifiable

Media type application/json
object
data
required
object
id
required
string format: uuid
kind
required
string
Allowed values: check_in check_out
status
required
string
Allowed values: in_progress completed signed
signatoryMode
string
nullable
contentHash
string
nullable
integrityVerified
required
boolean
catalogSnapshotAt
required
string format: date-time
items
required
Array<object>
object
id
string
label
string
expected
string
observed
string
nullable
isMeter
boolean
numericValue
string
nullable
photoCount
integer
signatures
required
Array<object>
object
role
string
signatoryName
string
signedAt
string format: date-time
discrepancies
required
Array<object>
object
id
string
label
string
observed
string
nullable
Example
{
"data": {
"kind": "check_in",
"status": "in_progress"
}
}

Non authentifié

Media type application/json
object
code
required

Code machine de l’erreur

string
message
required

Message lisible

string
origin

Origine domaine de l’erreur (optionnel)

object
boundedContext
string
module
string
status
required
integer
traceId
required

Identifiant de corrélation pour le support

string
Example
{
"code": "RESERVATION_NOT_FOUND",
"message": "Réservation introuvable",
"status": 404
}

Permission refusée

Media type application/json
object
code
required

Code machine de l’erreur

string
message
required

Message lisible

string
origin

Origine domaine de l’erreur (optionnel)

object
boundedContext
string
module
string
status
required
integer
traceId
required

Identifiant de corrélation pour le support

string
Example
{
"code": "RESERVATION_NOT_FOUND",
"message": "Réservation introuvable",
"status": 404
}

EDL introuvable

Media type application/json
object
code
required

Code machine de l’erreur

string
message
required

Message lisible

string
origin

Origine domaine de l’erreur (optionnel)

object
boundedContext
string
module
string
status
required
integer
traceId
required

Identifiant de corrélation pour le support

string
Example
{
"code": "RESERVATION_NOT_FOUND",
"message": "Réservation introuvable",
"status": 404
}